Scilab Function
Last update : 00/00/0000

ldiv - division longue d'une matrice de polynômes

### Calling Sequence

  `[x]=ldiv(n,d,k)`

### Parameters

- `n,d` : deux matrices réelles de polynômes
- `k` : entier

### Description

`x=ldiv(n,d,k)` donne les `k` premiers coefficients de la division longue de `n` par `d` i.e. le développement de Taylor de la matrice rationnelle `[nij(z)/dij(z)]` à l'infini.

Les coefficients du développement de `nij/dij` sont stockés dans `x((i-1)*n+k,j) k=1:n`

### Examples

    wss=ssrand(1,1,3);[a,b,c,d]=abcd(wss);
    wtf=ss2tf(wss);
    x1=ldiv(numer(wtf),denom(wtf),5)
    x2=[c*b;c*a*b;c*a^2*b;c*a^3*b;c*a^4*b]
    wssbis=markp2ss(x1',5,1,1);
    wtfbis=clean(ss2tf(wssbis))
    x3=ldiv(numer(wtfbis),denom(wtfbis),5)

### See Also

`arl2`, `markp2ss`, `pdiv`,